{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
{% import 'SyliusWebBundle:Backend/Macros:alerts.html.twig' as alerts %}
{% import 'SyliusWebBundle:Backend/Macros:misc.html.twig' as misc %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_certificate_backend_list') }}">Certificates</a></li>
        <li>{{ certificate.name }}</li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <div class="actions-menu">
            {{ buttons.manage(path('elbotrade_certificate_backend_list'), 'Manage Certificates') }}
            {{ buttons.edit(path('elbotrade_certificate_backend_update', {'id': certificate.id})) }}
            {{ buttons.delete(path('elbotrade_certificate_backend_delete', {'id': certificate.id}), null, false, true) }}
        </div>
        <h1>
            <i class="glyphicon glyphicon-info-sign"></i> Certificate Details {{ certificate.name }}
        </h1>
    </div>

    <div class="row">
        <div class="col-md-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th colspan="2">{{ 'sylius.order.general_info'|trans }}</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><strong>{{ 'sylius.shipment.id'|trans }}</strong></td>
                    <td>{{ certificate.id }}</td>
                </tr>
                <tr>
                    <td>{{ 'sylius.product.name'|trans }}</td>
                    <td>{{ certificate.name }}</td>
                </tr>
                <tr>
                    <td>Added</td>
                    <td>{{ certificate.dateAdded|date }}</td>
                </tr>
                <tr>
                    <td>Active</td>
                    <td>{{ certificate.active }}</td>
                </tr>
                <tr>
                    <td>Locale</td>
                    <td>{{ certificate.locale }}</td>
                </tr>
                <tr>
                    <td>Category</td>
                    <td>
                        {% if certificate.category is not empty %}
                            <a href="{{ path('elbotrade_certificate_category_backend_show', {'id': certificate.category.id}) }}">{{ certificate.category }}</a>
                        {% endif %}
                    </td>
                </tr>
                </tbody>
            </table>
        </div>

        <div class="col-md-6">
            {% if certificate.pdf is not empty %}
                <a href="{% path certificate.pdf, 'reference' %}"><i class="icon icon-xs icon-file"></i>{{ certificate.name }}</a>
            {% endif %}
        </div>
    </div>

    <hr>

{% endblock %}
